QGIS Application - Feature request #1054
Restore old default theme as "classic”
2008-05-01 02:39 AM - Markus Neteler

Status: Closed
Priority: Low
Assignee: Tim Sutton
Category: GUI

Pull Request or Patch supplied:
Easy fix?: No

Resolution: fixed
Copied to github as #: 11114

Description

Please add back the good old default theme (easier to understand than the current default theme). Attached as patch/tarball the relevant

files which just need to go into images/themes/classic/.

Please add this before the next release as it is trivial to do and does not break things.

Only problem: the icons for the GRASS plugin do not change. Bug/non-feature in the theme manager?

thanks,
Markus

History

#1 - 2008-07-27 05:36 PM - Tim Sutton
- Status changed from Open to In Progress

I'm looking at this - I've also implemented failover so that if a theme icon is not found it will provide the default theme equivalent. Working on the GRASS

icons too. Will commit shortly.

#2 - 2008-07-29 11:47 AM - Tim Sutton
- Resolution set to fixed

- Status changed from In Progress to Closed

Fixed in commit:a25211d4 (SVN r8949).

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

classic_theme.diff
classic_theme_part1.tar.bz2
classic_theme_part2.tar.bz2

2025-04-27

280 Bytes 2008-05-01 Markus Neteler
112 KB 2008-05-01 Markus Neteler
170 KB 2008-05-01 Markus Neteler
